/*
 * generated by Xtext 2.11.0
 */
package org.eclipse.osbp.dsl.entity.xtext.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.osbp.dsl.entity.xtext.EntityGrammarRuntimeModule;
import org.eclipse.osbp.dsl.entity.xtext.EntityGrammarStandaloneSetup;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class EntityGrammarIdeSetup extends EntityGrammarStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new EntityGrammarRuntimeModule(), new EntityGrammarIdeModule()));
	}
	
}
